clear all
close all
clc




EMG=load ('mvc3.txt') %acquisizione esperimento



fc=1000; %Frequenza campionamento 
T=1/fc; %Periodo campionamento 

t=(0:length(EMG)-1)*T; %tempo prova (basandomi sul numero dei campioni acquisiti)
deltaT=200e-3; % lunghezza finestra di calcolo RMS RMS (NT)
N=deltaT/T; %numero di campioni nella finestra 

EMG_RMS=RMS(EMG,N); %applico RMS

figure %plotto EMG con sopra RMS
plot(t,EMG)
hold on
plot(t,EMG_RMS,'r.')


Y = fft(EMG);
Nsamples = length(EMG);
Y(1) = 0; % toglo la continua
power = abs(Y(1:Nsamples/2)).^2; %prendo d a 1 a N/2 perch? ? simmetrica
nyquist = fc/2;
freq = (1:Nsamples/2)/(Nsamples/2)*nyquist;

figure
plot(freq,power), grid on
xlabel('frequency[Hz]')
ylabel('Power')

SUMF=sum(power);

for i=1:length(freq)
    
    sommapesata(i)=freq(i)*power(i);
end

Spes=sum(sommapesata);

MPF1=Spes/SUMF

clear all

EMG=load ('prova_01.txt') %acquisizione esperimento



fc=2000; %Frequenza campionamento 
T=1/fc; %Periodo campionamento 

t=(0:length(EMG)-1)*T; %tempo prova (basandomi sul numero dei campioni acquisiti)
deltaT=200e-3; % lunghezza finestra di calcolo RMS RMS (NT)
N=deltaT/T; %numero di campioni nella finestra 

EMG_RMS=RMS(EMG,N); %applico RMS

%figure %plotto EMG con sopra RMS
%plot(t,EMG)
%hold on
%plot(t,EMG_RMS,'r.')


Y = fft(EMG);
Nsamples = length(EMG);
Y(1) = 0; % toglo la continua
power = abs(Y(1:Nsamples/2)).^2; %prendo d a 1 a N/2 perch? ? simmetrica
nyquist = fc/2;
freq = (1:Nsamples/2)/(Nsamples/2)*nyquist;

hold on
plot(freq,power,'r')
xlabel('frequency[Hz]')
ylabel('Power')

SUMF=sum(power);

for i=1:length(freq)
    
    sommapesata(i)=freq(i)*power(i);
end

Spes=sum(sommapesata);

MPF1=Spes/SUMF



